OpenGLUT 0.6.3 development - OpenGLUT: Experimental Features
Keywords: OpenGLUT, FreeGLUT, OpenGL, GLUT, X11, Windows, Programming, Documentation, Download, Development, Sourceforge

OpenGLUT Documentation
Introduction | Documentation | Examples | Proposals | Authors | Copying | Todo | Bugs | Links

# Experimental Features
[OpenGLUT API Reference]

## Functions
int | glutCreateMenuWindow (int parentID, int x, int y, int w, int h)
void | glutSetWindowStayOnTop (int enable)

## Detailed Description

The OpenGLUT project is considering numerous extensions to the API. Some we are committed to, some are only in proposal or thought form. Some are at a stage of of experimental implementation. The experimental features are generally described in the proposals, and are only minimally documented here.

## Function Documentation

int glutCreateMenuWindow | ( | int | parentID,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

  | Create a client-controlled menu window. Parameters:
  | parentID | Parent window identifier.
  | x | Horizontal coordinate on the screen.
  | y | Vertical coordinate on the screen.
  | w | Width of the new window.
  | h | Height of the new window.
This is a highly experimental function. It creates a menu-like window, of requested dimensions, and at a position relative to your current window. The documentation for this function is currently the OpenGLUT Menu Window proposal. Variance from that proposal may generally be explained by the fact that this feature is highly experimental. It may also be explained by the fact that the implementation may simply be incomplete. Note: Did you notice that this feature is highly experimental? See also: glutCreateWindow(), glutCreateSubWindow(), glutDestroyWindow(), glutKeyboardFunc(), glutKeyboardUpFunc(), glutSpecialFunc(), glutSpecialUpFunc(), glutMotionFunc(), glutPassiveMotionFunc(), glutMouseFunc(), glutMouseWheelFunc()

void glutSetWindowStayOnTop | ( | int | enable | ) |

  | Set stay on top mode for current window. Parameters:
  | enable | Either GL_TRUE or GL_FALSE
Note: Does not work on all window managers. Sends the Icewm style message to all window managers (KDE, twm, blackbox, ratpoison, amiwm, and whatever others you have). Can we detect Icewm reliably and only send the Icewm formatted message for Icewm? Possibbly harmless as it stands, but looks wrong. Todo: Can a glutGet() be defined to tell us whether a window can be made to stay on top? Or whether a window has (successfully) been marked for staying on top? Should walk the tree of menus and glutPopWindow() (or all windows that are of menu-window type?). Investigate making a workalike variant using glutPopWindow() to mimic the feature where not directly supported.

OpenGLUT Development @ Sourceforge
Homepage | Summary | Files | CVS | Forums | Lists | Bugs | RFE
Generated on Tue Oct 5 18:44:33 2004 for OpenGLUT by doxygen 1.3.8
The OpenGLUT project is hosted by sourceforge.net.